import 'package:equatable/equatable.dart';

abstract class ForgotPassState extends Equatable {
  ForgotPassState([List props = const []]) : super();

  @override
  // TODO: implement props
  List<Object> get props => [];
}

class ForgotPassInitial extends ForgotPassState {
  @override
  String toString() => 'ForgotPassInitial';
}

class ForgotPassLoading extends ForgotPassState {
  @override
  String toString() => 'ForgotPassLoading';
}

class ForgotPassSuccess extends ForgotPassState {
  final String message;

  ForgotPassSuccess(this.message);

  @override
  String toString() => 'ForgotPassSuccess { message: $message }';
}

class ForgotPassFailure extends ForgotPassState {
  final String? error;

  ForgotPassFailure(this.error);

  @override
  String toString() => 'ForgotPassFailure { error: $error }';
}